Subject: [OAUTH-WG] OAuth 2.0 Bearer Token Specification Draft -09

From: Mike Jones <[email-masked]>
Date: Sat, 24 Sep 2011 00:10:38 +0000

Draft 09<http://self-issued.info/docs/draft-ietf-oauth-v2-bearer-09.html> of the OAuth 2.0 Bearer Token Specification<http://self-issued.info/docs/draft-ietf-oauth-v2-bearer.html> has been published, which incorporates Working Group Last Call feedback.  It contains the following changes:

·         Use definitions from [I‑D.ietf‑httpbis‑p7‑auth] rather than [RFC2617].

·         Update credentials definition to conform to [I‑D.ietf‑httpbis‑p7‑auth].

·         Further clarified that query parameters may occur in any order.

·         Specify that error_description is UTF-8 encoded (matching the core specification).

·         Registered "Bearer" Authentication Scheme in Authentication Scheme Registry defined by [I‑D.ietf‑httpbis‑p7‑auth].

·         Updated references to oauth-v2, httpbis-p1-messaging, and httpbis-p7-auth drafts.

·         Other wording improvements not introducing normative changes.

The draft is available at these locations:

·         http://www.ietf.org/internet-drafts/draft-ietf-oauth-v2-bearer-09.pdf

·         http://www.ietf.org/internet-drafts/draft-ietf-oauth-v2-bearer-09.txt

·         http://www.ietf.org/internet-drafts/draft-ietf-oauth-v2-bearer-09.xml

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer-09.html

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer-09.pdf

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer-09.txt

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer-09.xml

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer.html (will point to new versions as they are posted)

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer.pdf (will point to new versions as they are posted)

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer.txt (will point to new versions as they are posted)

·         http://self-issued.info/docs/draft-ietf-oauth-v2-bearer.xml (will point to new versions as they are posted)

·         http://svn.openid.net/repos/specifications/oauth/2.0/ (Subversion repository, with html, pdf, txt, and html versions available)

                                                                -- Mike